Name:           granite
Version:        0.1.1
Release:        1%{?dist}
Summary:        An extension of GTK
License:        GPLv3
URL:            http://elementaryos.org/
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  vala-devel
BuildRequires:  gtk3-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  glib2-devel
BuildRequires:  gettext
%if 0%{fedora} > 16
BuildRequires:  libgee06-devel
%else
BuildRequires:  libgee-devel
%endif

%description
Granite is an extension of GTK. Among other things, it provides the
commonly-used widgets such as modeswitchers, welcome screens, AppMenus, search
bars, and more found in elementary apps.

%prep
%setup -q

%build
mkdir build
cd build
cmake .. -DCMAKE_INSTALL_PREFIX=/usr
make %{?_smp_mflags}

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT
%ifarch x86_64
mv $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/lib64
%endif
mv -f $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/actions/application-menu-symbolic.svg $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/actions/application-menu.svg

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0/Granite-0.1.1.typelib
%{_datadir}/locale/*/LC_MESSAGES/granite.mo
%{_datadir}/vala/vapi/%{name}*
%{_datadir}/icons/hicolor/*/actions/application-menu.svg

%package devel
Summary:        Header files for libgranite
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Granite is an extension of GTK. Among other things, it provides the
commonly-used widgets such as modeswitchers, welcome screens, AppMenus, search
bars, and more found in elementary apps.

This package contains the header files

%files devel
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so
%{_datadir}/gir-1.0/Granite-0.1.1.gir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri May 03 2013 josef radinger <cheese@nosuchhost.net> - 0.1.1-1
- bump version

* Thu May 02 2013 josef radinger <cheese@nosuchhost.net> - 0.1.0-13
- Rebuild + fix spec

* Tue Jul 10 2012 Huaren Zhong <huaren.zhong@gmail.com> - 0.1.0
- Rebuild for Fedora

* Thu Oct 20 2011 qmp <glang@lavabit.com> - 0-r90.2
- Mark translated files

* Wed Oct 19 2011 qmp <glang@lavabit.com> - 0-r90.1
- Initial packaging
